Bug 831784 - [abrt] python-2.7.3-6.fc17: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] python-2.7.3-6.fc17: Process /usr/bin/python2.7 was killed by signal 1...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
abrt_hash:cf0c02e0840199a4d47b6e9a087...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 14:39 EDT by portals
Modified: 2013-07-31 15:23 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 15:23:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.78 KB, text/plain)
2012-06-13 14:39 EDT, portals
no flags Details
File: maps (73.42 KB, text/plain)
2012-06-13 14:39 EDT, portals
no flags Details
File: dso_list (15.44 KB, text/plain)
2012-06-13 14:39 EDT, portals
no flags Details
File: build_ids (6.57 KB, text/plain)
2012-06-13 14:39 EDT, portals
no flags Details

  None (edit)
Description portals 2012-06-13 14:39:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        python ArmoryQt.py
crash_function: BtcUtils::TxCalcLength(unsigned char const*, std::vector<unsigned int, std::allocator<unsigned int> >*, std::vector<unsigned int, std::allocator<unsigned int> >*)
executable:     /usr/bin/python2.7
kernel:         3.4.0-1.fc17.x86_64
pid:            2320
pwd:            /home/piotrek/Apps/BitcoinArmory
time:           Wed 13 Jun 2012 08:28:03 PM CEST
uid:            1000
username:       piotrek
xsession_errors: 

backtrace:      Text file, 44834 bytes
build_ids:      Text file, 6724 bytes
dso_list:       Text file, 15812 bytes
maps:           Text file, 75184 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/piotrek/1

core_backtrace:
:6537b17455f97b8f2083de09fd1b7bc54081fdf4 0x1d4d7b - _CppBlockUtils.so -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:6537b17455f97b8f2083de09fd1b7bc54081fdf4 0x64d2f8 - _CppBlockUtils.so -
:- 0x0 - - -
:- 0x0 - - -
:6537b17455f97b8f2083de09fd1b7bc54081fdf4 0x1d37bc - _CppBlockUtils.so -
:- 0x0 - - -
:- 0x0 - - -
:6537b17455f97b8f2083de09fd1b7bc54081fdf4 0x64d2f8 - _CppBlockUtils.so -
:6537b17455f97b8f2083de09fd1b7bc54081fdf4 0x1d380f - _CppBlockUtils.so -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:6537b17455f97b8f2083de09fd1b7bc54081fdf4 0x1de091 - _CppBlockUtils.so -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:516204cfc31148538d56b21e2f1b945ed50127d4 0x302401 - libstdc++.so.6 -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -
:- 0x0 - - -

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1006
:XDG_SESSION_ID=1
:KDE_MULTIHEAD=false
:HOSTNAME=localhost.localdomain
:DM_CONTROL=/var/run/xdmctl
:SHELL=/bin/bash
:TERM=xterm
:XDG_MENU_PREFIX=kde4-
:HISTSIZE=1000
:XDM_MANAGED=method=classic
:GTK2_RC_FILES=/etc/gtk-2.0/gtkrc:/home/piotrek/.gtkrc-2.0:/home/piotrek/.gtkrc-2.0-kde4:/home/piotrek/.kde/share/config/gtkrc-2.0
:KONSOLE_DBUS_SERVICE=:1.38
:GS_LIB=
:GTK_RC_FILES=/etc/gtk/gtkrc:/home/piotrek/.gtkrc:/home/piotrek/.kde/share/config/gtkrc
:WINDOWID=50331674
:SHELL_SESSION_ID=4c7d1596f4134000b0d37ebede19d6f1
:KDE_FULL_SESSION=true
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=piotrek
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/ssh-JAFTyLViV971/agent.971
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1117,unix/unix:/tmp/.ICE-unix/1117
:DESKTOP_SESSION=default
:MAIL=/var/spool/mail/piotrek
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games:/usr/local/sbin:/usr/sbin:/home/piotrek/.local/bin:/home/piotrek/bin
:PWD=/home/piotrek/Apps/BitcoinArmory
:KDE_SESSION_UID=1000
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:KONSOLE_DBUS_SESSION=/Sessions/4
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/bin/ksshaskpass
:HOME=/home/piotrek
:COLORFGBG=15;0
:XDG_SEAT=seat0
:SHLVL=3
:KDE_SESSION_VERSION=4
:LANGUAGE=
:XCURSOR_THEME=default
:LOGNAME=piotrek
:XDG_DATA_DIRS=/usr/share/kde-settings/kde-profile/default/share:/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-wOpL4ECt14,guid=01e2aef4225e452dadabe57f00000044
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:PROFILEHOME=
:XDG_RUNTIME_DIR=/run/user/piotrek
:DISPLAY=:0
:QT_PLUGIN_PATH=/home/piotrek/.kde/lib64/kde4/plugins/:/usr/lib64/kde4/plugins/:/usr/lib/kde4/plugins
:XAUTHORITY=/tmp/kde-piotrek/xauth-1000-_0
:_=/usr/bin/python

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63202                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63202                63202                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/3
:1:/dev/pts/3
:2:/dev/pts/3
:3:pipe:[104537]
:4:pipe:[104537]
:5:socket:[99899]
:6:anon_inode:[eventfd]
:7:pipe:[99889]
:8:pipe:[99889]
:9:socket:[99890]
:10:socket:[101047]
:11:socket:[99893]
:12:/dev/urandom
:13:socket:[99193]
:14:socket:[101060]
:15:/home/piotrek/.bitcoin/blk0001.dat
:16:/home/piotrek/.bitcoin/blk0001.dat

smolt_data:
:
:
:General
:=================================
:UUID: b96642e3-4574-4e1f-a39d-d1911fc5d650
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 7191.44
:CPU Vendor: AuthenticAMD
:CPU Model: AMD Phenom(tm) II X6 1055T Processor
:CPU Stepping: 0
:CPU Family: 16
:CPU Model Num: 10
:Number of CPUs: 6
:CPU Speed: 2800
:System Memory: 7985
:System Swap: 7818
:Vendor: System manufacturer
:System: System Product Name System Version
:Form factor: Desktop
:Kernel: 3.4.0-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4098:17297:4098:17297) pci, ahci, STORAGE, SB7x0/SB8x0/SB9x0 SATA Controller [AHCI mode]
:(4130:38409:4130:38401) pci, pcieport, PCI/PCI, RS780/RS880 PCI to PCI bridge (PCIE port 5)
:(4098:43648:6023:43648) pci, snd_hda_intel, MULTIMEDIA, N/A
:(4130:38401:4130:38401) pci, None, HOST/PCI, RS880 Host Bridge
:(4332:33128:4163:33842) pci, r8169, ETHERNET, P8P67 Deluxe Motherboard [Realtek RTL8111E]
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, k10temp, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(6523:9057:4163:33359) pci, pata_jmicron, STORAGE, JMB361 AHCI/IDE
:(4098:17312:4098:0) pci, pcieport, PCI/PCI, SB700/SB800 PCI to PCI bridge (PCIE port 0)
:(4130:38403:4130:38401) pci, pcieport, PCI/PCI, RS780 PCI to PCI bridge (ext gfx port 0)
:(4098:17285:0:0) pci, None, SERIAL, SBx00 SMBus Controller
:(4098:17309:4098:17309) pci, None, PCI/ISA, SB7x0/SB8x0/SB9x0 LPC host controller
:(4098:17283:4163:33808) pci, snd_hda_intel, MULTIMEDIA, M4A89GTD PRO/USB3 Motherboard
:(4098:17305:4098:17305) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI2 Controller
:(4098:17284:0:0) pci, None, PCI/PCI, SBx00 PCI to PCI Bridge
:(4358:12356:4163:33278) pci, firewire_ohci, FIREWIRE, M4A series motherboard
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:26393:6023:8966) pci, radeon, VIDEO, Cayman PRO [AMD Radeon 6900 Series]
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(4098:17302:4098:17302) pci, ehci_hcd, USB, SB7x0/SB8x0/SB9x0 USB EHCI Controller
:(4098:17303:4098:17303) pci, ohci_hcd, USB, SB7x0/SB8x0/SB9x0 USB OHCI0 Controller
:(6523:9057:4163:33359) pci, ahci, STORAGE, JMB361 AHCI/IDE
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda1 / btrfs 4096 4096 15728640 13805593 8954639 0 0 0
:/dev/sda2 /home btrfs 4096 4096 45320704 29609687 14715763 0 0 0
:

var_log_messages:
:Jun 13 19:53:19 localhost abrt[6628]: Saved core dump of pid 6617 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-13-19:53:16-6617 (389869568 bytes)
:Jun 13 19:53:34 localhost abrt[6667]: Not dumping repeating crash in '/usr/bin/python2.7'
:Jun 13 20:26:40 localhost abrt[2218]: Saved core dump of pid 2211 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-13-20:26:33-2211 (389955584 bytes)
:Jun 13 20:27:45 localhost abrt[2279]: Saved core dump of pid 2275 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-13-20:27:35-2275 (389955584 bytes)
:Jun 13 20:28:11 localhost abrt[2324]: Saved core dump of pid 2320 (/usr/bin/python2.7) to /var/spool/abrt/ccpp-2012-06-13-20:28:03-2320 (389869568 bytes)
Comment 1 portals 2012-06-13 14:39:44 EDT
Created attachment 591594 [details]
File: backtrace
Comment 2 portals 2012-06-13 14:39:47 EDT
Created attachment 591595 [details]
File: maps
Comment 3 portals 2012-06-13 14:39:49 EDT
Created attachment 591596 [details]
File: dso_list
Comment 4 portals 2012-06-13 14:39:51 EDT
Created attachment 591597 [details]
File: build_ids
Comment 5 Fedora Admin XMLRPC Client 2013-05-10 01:00:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora Admin XMLRPC Client 2013-05-10 01:01:41 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Admin XMLRPC Client 2013-05-10 01:05:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2013-05-10 01:13:14 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2013-05-10 01:13:23 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-07-03 16:04:49 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2013-07-31 15:23:44 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.